<?php

#
# This files contains general functions and definitions...
#

#
# DEFINITIONS
#

# General
define("YALA_VERSION", "0.12");
define("MUST", 1);
define("MAY", 2);

# ERRORS
define("ERROR_BAD_OP"			,1);
define("ERROR_FEW_ARGUMENTS"		,2);
define("ERROR_LDAP_CANT_CONNECT"	,3);
define("ERROR_LDAP_CANT_SEARCH"		,4);
define("ERROR_CACHE_CANT_READ"		,5);
define("ERROR_CACHE_CANT_WRITE"		,6);


#
# FUNCTIONS
#

function exitOnError($error_num, $additional_str = "") {

	$str = "";

	switch ($error_num) {
		case ERROR_BAD_OP: $str = "Unknown operation was chosen"; 
			if ($additional_str) $str .= " - ".$additional_str;
			break;
		case ERROR_FEW_ARGUMENTS: $str = "Weird, function didn't get enough arguments!"; 
			break;
		case ERROR_LDAP_CANT_CONNECT: $str = "Cannot connect to ldap server (".$additional_str.")";
			break;
		case ERROR_LDAP_CANT_SEARCH: $str = "Search problem..";
			break;
		case ERROR_CACHE_CANT_READ: $str = "Can't open cache file (".$additional_str.") for reading!";
			break;
		case ERROR_CACHE_CANT_WRITE: $str = "Can't open cache file (".$additional_str.") for writing!";
			break;
		default: $str = "Unknown Error!";
	}

	echo "ERROR #".$error_num.": ".$str."<BR>";
	include INCLUDE_PATH."/footer.inc";
	exit;
}

# getEntryType() returns the entry first entry type in $entry_types hash matches
# the objectclass list
function getEntryType($objectclasses) {
	global $entry_types;

	reset($entry_types);
	while(list($attr, $value) = each($entry_types)) {
		$a = array_diff($value, $objectclasses);
		if (!count($a)) return $attr;
	}

	return "default";

}


